7.x

Drupal frissítés és https átirányítás

duc-sai képe

Sziasztok!

Pár napja aktiváltam az SSL-t a tárhelyen, a htaccess-be pedig beillesztettem a https átirányítást. Most frissítettem a drupalt 7.64-re, természetesen a htaccess felülíródott, így újra be kellett illeszteni a kódot.
Ha minden frissítésnél ezt meg kell tenni, félő, hogy előfordul olyan, hogy megfeledkezek róla. Hogyan célszerű ezt megoldani?

Drupal verzió: 

Adminisztrációs smink hiba

vikicica22 képe

Hello mindenkinek!

Találkoztatok már ezzel a hibával?

Engedélyezett smink
Bootstrap (alapértelmezés szerinti smink)

Adminisztrációs smink
Seven
+ a pipa be van pipálva "Az adminisztrációs smink használata a tartalmak létrehozása és szerkesztése során."

Bármilyen tartalomnál az előnézet-re kattintok akkor ezt történik:

Hiba
A webhelyen nem várt hiba történt. Később érdemes újra megpróbálni.

viszont, a pipát kiszedem az Adminisztrációs smink-nél akkor az előnézet normálisan működik a tartalmaknak

Fórum: 
Drupal verzió: 
Melyik modulhoz, modulokhoz kapcsolódik a téma?: 
Taxonomy upgrade extras: 

HTTPS átállás után modul update hiba

Kocsis Kata képe

A .htaccess file-ban a következő mindig érvényre jutó átirányítást végzem a honlapon:

RewriteCond %{HTTPS} off [OR]
RewriteCond %{HTTP_HOST} ^www\.example\.com*
RewriteRule ^(.*)$ https://example.com/$1 [L,R=301]

Minden remekül működik is, de amikor bármilyen modul update-et akarok végrehajtani, akkor a következő hibaüzenetet kapom. Ha jól értem, a modul frissítéséhez szükséges file-okat nem engedi a szerverre másolnia rendszer:

Drupal verzió: 

Rules IF/ELSE típusú elágazás

Drufan képe

Lehet a Rules-ban if/else típusú elágazást csinálni? Úgy tűnik nem, de lehet, hogy csak nem tudok valamit.

Arra gondolok, hogy a Feltételek részben megadok valamit, ha az teljesül, akkor fusson végig a Műveletek rész, de ha nem teljesül, akkor a Műveletek résznek csak egy része, vagy más műveletek, tehát a műveleteket lehessen elágaztatni a feltételtől függően. De a Műveletek részen nem látok lehetőséget erre, úgy látom azok mindenképpen végrehajtódnak, vagy semmiképpen nem hajtódnak végre.

Drupal verzió: 
Melyik modulhoz, modulokhoz kapcsolódik a téma?: 

H7t, ny8lc vagy 9ilenc?

hellsing képe

Üdv Drupalosok!

Ez az első bejegyzésem, köszönöm, hogy felvettetek.

Egy "mit tennétek a helyemben" típusú probléma megoldásához kellene a segítségetek. Programozóként még nem Drupaloztam. Át kéne vennem a céges rendszert: a honlap és a belső admin rendszer 2db 7.x-es Drupal szerver, kb. 135 modullal, amiből 45-50db egyedi fejlesztés.

Drupal verzió: 
Taxonomy upgrade extras: 

Tartalomtípus Group és Group content egyben

Drufan képe

Az Organic Group leírásánál úgy mutatják, hogy hozzunk létre egy tartalomtípust, és adjunk neki Group tulajdonságot.
Majd hozzunk létre egy másik tartalomtípust és adjunk neki Group content tulajdonságot, és itt adjuk meg az előző Group tartalomtípust, hogy hozzá kapcsolódjon.
Így is csináltam, de később arra gondoltam nincs szükségem két tartalomtípusra, megoldom egyben. Így egy tartalomtípust hoztam létre és mivel engedte a modul, bejelöltem a tartalomtípus beállításánál a Group és Group content lehetőséget is.
Működik is.

Drupal verzió: 
Melyik modulhoz, modulokhoz kapcsolódik a téma?: 

Ubercart Google Tag Manager integráció

Kocsis Kata képe

Sikeresen telepítettem a https://www.drupal.org/project/google_tag GoogleTagManager modult és össze is kötöttem a GTM fiókommal. Az Ubercart termék adatok azonban valamiért nem mennek át maguktól. A DataLayer modul is telepítve van.

Drupal verzió: 
Melyik modulhoz, modulokhoz kapcsolódik a téma?: 
Taxonomy upgrade extras: 

page.tpl-t nem veszi figyelembe

csontom képe

Sziasztok!

Egy Drupal 7 alapú oldallal lenne egy olyan problémám, hogy a ZEN nevű theme nem veszi figyelembe a templates mappában a fájlokat.

A page.tpl rendben van. Viszont amiket én hoztam létre, pl: page--player.tpl azt nem veszi figyelembe, az alap page.tpl-t veszi figyelembe a /player oldalon.

Ez régebben működött, illetve másik témával is működik, csak zennel nem.

Fórum: 
Drupal verzió: 
Melyik modulhoz, modulokhoz kapcsolódik a téma?: